---
search:
  tags:
    - customers
    - GET
seo:
  description: >-
    List customer imports. Reference for the GET
    /workspaces/{organizationId}/customer-imports endpoint in the Pile API.
sidebar:
  label: List customer imports
  badge: GET
title: List customer imports
type: openapi-operation
---
`GET /workspaces/{organizationId}/customer-imports`

**Responses**

- `200` — Import receipt history (summaries — no row details)

Response example, 200:

```json
{
  "imports": [
    {
      "id": "string",
      "organizationId": "string",
      "source": "string",
      "corridor": "string",
      "total": 0,
      "created": 0,
      "existing": 0,
      "failed": 0,
      "createdById": "string",
      "createdAt": "string"
    }
  ]
}
```
